summaryrefslogtreecommitdiff
path: root/abicheck/run_abi_test
diff options
context:
space:
mode:
authorMichael Vogt <michael.vogt@ubuntu.com>2010-02-18 15:17:50 +0100
committerMichael Vogt <michael.vogt@ubuntu.com>2010-02-18 15:17:50 +0100
commitb9dacd11a4707092f070d49b1cb1acff642eebf0 (patch)
tree8876729757ce5b5d639c13018d8fee79d308929c /abicheck/run_abi_test
parentb026dbb970c71213e12caaeb47bf7a27b91ea0a0 (diff)
parentb8c42fc0632dbbe0edb0854cd941a8fc5340a94a (diff)
* [BREAK] merged lp:~mvo/apt/history
- this writes a /var/log/apt/history tagfile that contains details from the transaction (complements term.log) * methods/http.cc: - add cache-control headers even if no cache is given to allow adding options for intercepting proxies - add Acquire::http::ProxyAutoDetect configuration that can be used to call a external helper to figure out the proxy configuration and return it to apt via stdout (this is a step towards WPAD and zeroconf/avahi support) * abicheck/ - add new abitest tester using the ABI Compliance Checker from http://ispras.linuxfoundation.org/index.php/ABI_compliance_checker * Change the package index Info methods to allow apt-cache policy to be useful when using several different archives on the same host. (Closes: #329814, LP: #22354)
Diffstat (limited to 'abicheck/run_abi_test')
-rwxr-xr-xabicheck/run_abi_test14
1 files changed, 14 insertions, 0 deletions
diff --git a/abicheck/run_abi_test b/abicheck/run_abi_test
new file mode 100755
index 000000000..4e4bdf298
--- /dev/null
+++ b/abicheck/run_abi_test
@@ -0,0 +1,14 @@
+#!/bin/sh
+
+if [ ! -d ../build ]; then
+ echo "../build missing, did you run make?"
+ exit 1
+fi
+
+LIBPATH=$(find /usr/lib/ -type f -name "libapt-*.so.*" -printf %p\\\\n)
+sed s#@installed_libapt@#$LIBPATH# apt_installed.xml.in > apt_installed.xml
+
+BUILDPATH=$(readlink -f ../build)
+sed s#@build_path@#$BUILDPATH# apt_build.xml.in > apt_build.xml
+
+perl abi-compliance-checker.pl -l apt -d1 apt_installed.xml -d2 apt_build.xml